DECLARE SUB instructions (x6%, y6%)
DECLARE SUB fireworks ()
DECLARE SUB dice (x5%, y5%, r%)
DECLARE SUB copyright (x4%, y4%)
DECLARE SUB ladders (X2%, Y2%)
DECLARE SUB snake (x3%, y3%)
DECLARE SUB board (X1%, Y1%)

SCREEN 12
'CALL fireworks
'END



CLS
CIRCLE (100, 100), 10, 5
PAINT (100, 100), 5, 5
DIM image%(800)
GET (90, 90)-(110, 110), image%
CLS
LINE (100, 100)-(120, 120), 3, BF
DIM image2%(800)
GET (100, 100)-(120, 120), image2%


CALL copyright(x4%, y4%)
SLEEP 1
CLS

CALL instructions(x6%, y6%)
CLS

CALL board(X1%, Y1%)
CALL ladders(X2%, Y2%)
CALL snake(x3%, y3%)

X% = 55
Y% = 385
total% = 1
PUT (X%, Y%), image%, XOR

cx% = 25
cy% = 395
ctotal% = 1
PUT (cx%, cy%), image2%, XOR
        
DO

DO                                             ' Person's turn
LOCATE 30, 12
PRINT "press space to roll die";
LOOP UNTIL INKEY$ <> ""

DO
r% = INT(RND * 6) + 1
CALL dice(x5%, y5%, r%)
LOOP UNTIL INKEY$ <> ""

FOR i% = 1 TO r%

PUT (X%, Y%), image%, XOR


IF total% < 7 OR total% >= 15 AND total% < 21 OR total% >= 29 AND total% < 35 THEN
     X% = X% + 70
 ELSEIF total% = 7 OR total% = 14 OR total% = 21 OR total% = 28 OR total% = 35 THEN
      Y% = Y% - 70
 ELSEIF (total% > 7 AND total% < 14) OR (total% > 21 AND total% < 28) OR (total% > 35 AND total% < 42) THEN
    X% = X% - 70
END IF

PUT (X%, Y%), image%, XOR
REM***sound              
total% = total% + 1

 START! = TIMER
 DO
 LOOP UNTIL TIMER - START! > .5
NEXT i%



IF total% = 2 THEN                           'ladders
PUT (X%, Y%), image%, XOR
  X% = X% + 0
  Y% = Y% - 70
  total% = 13

freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (X%, Y%), image%, XOR

ELSEIF total% = 9 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 140
  Y% = Y% - 70
  total% = 18
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (X%, Y%), image%, XOR

ELSEIF total% = 30 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 70
  Y% = Y% - 70
  total% = 42
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (X%, Y%), image%, XOR

ELSEIF total% = 22 THEN
PUT (X%, Y%), image%, XOR
  X% = X% + 0
  Y% = Y% - 140
  total% = 36
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (X%, Y%), image%, XOR


ELSEIF total% = 27 THEN                   'snakes
PUT (X%, Y%), image%, XOR
  X% = X% - 70
  Y% = Y% + 210
  total% = 1
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

ELSEIF total% = 38 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 140
  Y% = Y% + 280
  total% = 12
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

ELSEIF total% = 41 THEN
PUT (X%, Y%), image%, XOR
  X% = X% + 350
  Y% = Y% + 280
  total% = 8
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR


ELSEIF total% = 21 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 70
  Y% = Y% + 140
  total% = 6
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

ELSEIF total% = 11 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 70
  Y% = Y% + 70
  total% = 3
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

ELSEIF total% = 32 THEN
PUT (X%, Y%), image%, XOR
  X% = X% + 140
  Y% = Y% + 140
  total% = 20
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

ELSEIF total% = 29 THEN
PUT (X%, Y%), image%, XOR
  X% = X% - 0
  Y% = Y% + 140
  total% = 15
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (X%, Y%), image%, XOR

END IF



REM ***************** decide if computer should go ***
IF total% < 42 THEN

START! = TIMER
DO
LOOP UNTIL TIMER - START! > .5

LOCATE 30, 12
PRINT "computer's roll          ";

START! = TIMER
DO                                      'computer's turn
r% = INT(RND * 6) + 1
CALL dice(x5%, y5%, r%)
LOOP UNTIL TIMER - START! > 1

FOR i% = 1 TO r%

PUT (cx%, cy%), image2%, XOR


IF ctotal% < 7 OR ctotal% >= 15 AND ctotal% < 21 OR ctotal% >= 29 AND ctotal% < 35 THEN
     cx% = cx% + 70
 ELSEIF ctotal% = 7 OR ctotal% = 14 OR ctotal% = 21 OR ctotal% = 28 OR ctotal% = 35 THEN
      cy% = cy% - 70
 ELSEIF (ctotal% > 7 AND ctotal% < 14) OR (ctotal% > 21 AND ctotal% < 28) OR (ctotal% > 35 AND ctotal% < 42) THEN
    cx% = cx% - 70
END IF

PUT (cx%, cy%), image2%, XOR
REM***sound              
ctotal% = ctotal% + 1

 START! = TIMER
 DO
 LOOP UNTIL TIMER - START! > .5
NEXT i%


IF ctotal% = 2 THEN                           'ladders
PUT (cx%, cy%), image2%, XOR
  cx% = cx% + 0
  cy% = cy% - 70
  ctotal% = 13

freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 9 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 140
  cy% = cy% - 70
  ctotal% = 18
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 30 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 70
  cy% = cy% - 70
  ctotal% = 42
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 22 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% + 0
  cy% = cy% - 140
  ctotal% = 36
freq% = 280
FOR i% = 1 TO 10
SOUND freq%, 1
freq% = freq% + 20
NEXT i%
PUT (cx%, cy%), image2%, XOR


ELSEIF ctotal% = 27 THEN                   'snakes
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 70
  cy% = cy% + 210
  ctotal% = 1
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 38 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 140
  cy% = cy% + 280
  ctotal% = 12
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 41 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% + 350
  cy% = cy% + 280
  ctotal% = 8
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR


ELSEIF ctotal% = 21 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 70
  cy% = cy% + 140
  ctotal% = 6
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 11 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 70
  cy% = cy% + 70
  ctotal% = 3
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 32 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 140
  cy% = cy% + 140
  ctotal% = 20
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

ELSEIF ctotal% = 29 THEN
PUT (cx%, cy%), image2%, XOR
  cx% = cx% - 0
  cy% = cy% + 140
  ctotal% = 15
freq% = 380
FOR i% = 1 TO 15
SOUND freq%, 1
freq% = freq% - 20
NEXT i%

PUT (cx%, cy%), image2%, XOR

END IF

END IF '*********** end of decision for computer to go
LOOP UNTIL total% >= 42 OR ctotal% >= 42

IF total% >= 42 THEN
CLS
PRINT "CONGRATULATIONS YOU WON"
CALL fireworks
END IF
IF ctotal% >= 42 THEN
CLS
PRINT "SORRY THE COMPUTER BEAT YOU, TRY AGAIN NEXT TIME!"
'CALL music
END IF

SUB board (X1%, Y%)
'PAINT (1, 1), 0

Y% = 0
C% = 4
C2% = 1
C3% = 14

FOR J% = 1 TO 6

FOR i% = 1 TO 7
X% = X% + 70
PSET (X% - 50, Y%), C%
DRAW "r70 d70 l70 u70"
PAINT (X%, Y% + 5), C%, C%
PSET (X% - 50, Y%), 15
DRAW "r70 d70 l70 u70"

temp% = C%
C% = C2%
C2% = C3%
C3% = temp%
NEXT i%
X% = 0
Y% = Y% + 70

NEXT J%

LOCATE 23, 4
PRINT "1"
LOCATE 23, 13
PRINT "2"
LOCATE 23, 22
PRINT "3"
LOCATE 23, 30
PRINT "4"
LOCATE 23, 39
PRINT "5"
LOCATE 23, 48
PRINT "6"
LOCATE 23, 57
PRINT "7"
LOCATE 19, 4
PRINT "14"
LOCATE 19, 13
PRINT "13"
LOCATE 19, 22
PRINT "12"
LOCATE 19, 30
PRINT "11"
LOCATE 19, 39
PRINT "10"
LOCATE 19, 48
PRINT "9"
LOCATE 19, 57
PRINT "8"
LOCATE 15, 4
PRINT "15"
LOCATE 15, 13
PRINT "16"
LOCATE 15, 22
PRINT "17"
LOCATE 15, 30
PRINT "18"
LOCATE 15, 39
PRINT "19"
LOCATE 15, 48
PRINT "20"
LOCATE 15, 57
PRINT "21"
LOCATE 10, 4
PRINT "28"
LOCATE 10, 13
PRINT "27"
LOCATE 10, 22
PRINT "26"
LOCATE 10, 30
PRINT "25"
LOCATE 10, 39
PRINT "24"
LOCATE 10, 48
PRINT "23"
LOCATE 10, 57
PRINT "22"
LOCATE 6, 4
PRINT "29"
LOCATE 6, 13
PRINT "30"
LOCATE 6, 22
PRINT "31"
LOCATE 6, 30
PRINT "32"
LOCATE 6, 39
PRINT "33"
LOCATE 6, 48
PRINT "34"
LOCATE 6, 57
PRINT "35"
LOCATE 2, 4
PRINT "42"
LOCATE 2, 13
PRINT "41"
LOCATE 2, 22
PRINT "40"
LOCATE 2, 30
PRINT "39"
LOCATE 2, 39
PRINT "38"
LOCATE 2, 48
PRINT "37"
LOCATE 2, 57
PRINT "36"

'REM*********point finder
'x% = 55
'y% = 35
'PSET (x%, y%), 0
'DRAW "nu35 nr35 nl35 nd35"









END SUB

SUB copyright (x4%, y4%)

PAINT (1, 1), 3
PSET (50, 50), 4                         'welcome to
DRAW "ta-30 f50 ta10 e20 ta-10 f20 ta30 e50 ta0 br40 l30 d65 nr30 u30 r20 br20 nu35 d30 r30 br10 nr30 u65 r30 br10 r30 d65 l30 u65 br60 ta-15 nd65 f30 ta15 e30 d65 br10 ta0 nr30 u65 nr30 d35 r20 bu35 br60 r40 l20 d65 br30 u65 r30 d65 l30"

CIRCLE (45, 185), 13, 2, .5 * 3.14, 1 * 3.14
PSET (45, 172), 2
DRAW "ta10 r20"
CIRCLE (65, 176), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (65, 183), 2
DRAW "l17"
CIRCLE (46, 182), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (63, 183), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (32, 184), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8 r2 d6 r2 d6"
PSET (45, 189), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1"
PSET (50, 217), 2
DRAW "r25 d50 l30 u15 r18 u20 l22 be5 p10,2"
CIRCLE (50, 176), 4, , , , .5
CIRCLE (50, 176), 2, 0, , , .5

PSET (90, 200), 10                      'snakes &
DRAW "nd65 ta-10 f55 ta0 u65 br10 nd65 r40 d65 u30 l40 br50 nu35 nd30 ta-10 ne35 ta10 f35 br10 ta0 u65 nr40 d35 nr30 d30 r40 br10 r40 u30 l40 u35 r40 br150 c0 d65 ta-10 h35 ta0 r55"
PSET (200, 350), 6
DRAW "d75 br10 u75 d10 l10 d10 r10 d10 l10 d10 r10 d10 l10 d10 r10 d10 l10 bd5 br10 r50 bu10 l50 r10 d10 r10 u10 r10 d10 r10 u10 r10 d10 br10 u65 r40 d65 u30 l40 br50 nu35 d30 ta-20 e30 ta0 u30 ta20 h30 ta0 bd35 br50 nu35 d30 ta-20 e30 ta0 u30 ta20 h30 ta0 br50 d65 nr40 u30 nr30 u35 r40 br10 nd65 r40 d30 l40 f40 br10 r40 u35 l40 u35 r40"

SLEEP 2
CLS

PAINT (1, 1), 3
PSET (50, 50), 14                            'this game
DRAW "r40 l20 d65 br30 u65 d35 r40 nu35 d30 br10 r30 l15 u65 r15 l30 br40 nr40 d35 r40 d30 l40 br150 u65 nr40 d65 r40 u30 l20 bd30 br30 u65 r40 d65 u30 l40 br50 bd30 u65 f25 e25 d65 br10 u65 nr40 d35 nr30 d30 r40"
PSET (40, 150), 5                           'is brought to
DRAW "d50 nr15 nl15 u50 r15 l30 br40 bd50 r30 u25 l30 u25 r30 br70 d50 ta-30 e20 ta0 u11 ta30 h20 ta-30 e20 ta0 u11 ta30 h20 ta0 br40 nd50 r30 d25 l30 ta10 f27 ta0 br10 u50 r30 d50 l30 br40 nu50 r30 u50 br10 nr30 d50 r30 u25 l20 br30 bd25 u50 d25 r30 nu25 d25 br25 u50 nr15 l15 br80 r30 l15 d50 br25 u50 r30 d50 l30"
PSET (140, 230), 10                         'you by
DRAW "ta-10 f25 ta10 ne25 ta0 d25 br30 nu50 r30 u50 nl30 br10 d50 r30 u50 br80 d50 ta-30 e20 ta0 u11 ta30 h20 ta-30 e20 ta0 u11 ta30 h20 ta0 br40 ta-10 f20 ta10 ne20 ta0 d25 br30 bu5 u5 l5 d5 r5 bu30 u5 l5 d5 r5"
PSET (40, 320), 1                            'kathy ann & co.
DRAW "d65 u30 ne30 f30 br10 u65 r30 d65 u30 l30 br55 bd30 u65 r15 l30 br70 d65 u30 l30 nd30 u35 br40 ta-10 f25 ta10 ne25 ta0 d30 br60 u65 r30 d65 u30 l30 br40 bd30 u65 ta-20 f50 ta0 u65 br10 nd65 ta-20 f50 ta0 u65 br100 bd65 nu30 h15 r30 br20 bd15 nr20 u30 r20 br10 d30 r20 u30 l20 br30 bd30 u3r3d3l3"

SLEEP 2


END SUB

SUB dice (x5%, y5%, r%)

PSET (570, 100)                                      'middle of box
'DRAW "ta0 bu50 r50 d100 l100 u100 r50 bd10 p15,15"
LINE (520, 50)-STEP(100, 100), 15, BF

DRAW "ta0"
IF r% = 1 THEN
PSET (570, 70), 0                                 '1
DRAW "d70 nr15 nl15 u70 g10"

ELSEIF r% = 2 THEN
CIRCLE (570, 91), 15, 0, 0 * 3.14, 1 * 3.14         '2
PSET (585, 91), 0
DRAW "ta16 g40 ta0 r30"

ELSEIF r% = 3 THEN
PSET (570, 90), 15
CIRCLE (570, 88), 17, 0, 1.5 * 3.14, 1 * 3.14        '3
CIRCLE (570, 123), 17, 0, 1 * 3.14, .5 * 3.14


ELSEIF r% = 4 THEN
PSET (570, 70), 0                                   '4
DRAW "nd70 ta10 g40 ta0 r50"

ELSEIF r% = 5 THEN
PSET (550, 70), 0                                     '5
DRAW "nr30 d30"
CIRCLE (560, 120), 23, 0, 1.3 * 3.14, .65 * 3.14

ELSEIF r% = 6 THEN
CIRCLE (570, 125), 15, 0                               '6
PSET (554, 125), 0
DRAW "ta25 e40"
END IF
DRAW "ta0"
END SUB

SUB fireworks
FOR J% = 1 TO 5

X% = INT(RND * 300) + 200
Y% = INT(RND * 200) + 100
X1% = INT(RND * 300) + 200
Y1% = INT(RND * 200) + 100
X2% = INT(RND * 300) + 200
Y2% = INT(RND * 200) + 100

s% = 1000
FOR k% = 1 TO 20
SOUND s%, 1
s% = s% - 5
NEXT k%

C% = INT(RND * 15) + 1
C1% = INT(RND * 15) + 1
C2% = INT(RND * 15) + 1
r% = 1

FOR i% = 1 TO 100
CIRCLE (X%, Y%), r%, C%
CIRCLE (X1%, Y1%), r%, C1%
CIRCLE (X2%, Y2%), r%, C2%
r% = r% + 2
NEXT i%


r% = 1
FOR i% = 1 TO 100
CIRCLE (X%, Y%), r%, 0
CIRCLE (X1%, Y1%), r%, 0
CIRCLE (X2%, Y2%), r%, 0
r% = r% + 2


NEXT i%

RANDOMIZE (TIMER)
FOR k% = 1 TO 20
s% = INT(RND * 150) + 50
SOUND s%, 1
NEXT k%


NEXT J%


END SUB

SUB instructions (x6%, y6%)
LOCATE 2, 1
PRINT "Welcome again to my snakes and ladders game."

LOCATE 4, 2
PRINT "Please read the following instructions very carefully.  In this game you are    playing against the computer, your counter is a circle and the computer has a   square counter.  The white box in the upper right hand corner on the game board is the dice.  To roll the dice you press the space bar, and then press it again to stop the dice, and then your counter will move.  Then it is the computers    turn it will roll the dice and move it's counter, and so on.  By the way the    counter changes color as it moves from square to square."

LOCATE 14, 1
PRINT "GOOD LUCK"
LOCATE 20, 1
PRINT " PRESS ANY KEY TO CONTINUE"
 INPUT DUMMY$
END SUB

SUB ladders (X2%, Y2%)
PSET (405, 305), 6                     'from box 9
ladder$ = "ta15 nh100 bg15 h100 f15 e15 f15 g15 f15 e15 f15 g15 f15 e15 f15 g15 f15 ta0 "
PSET (405, 305), 6
DRAW ladder$
PSET (405, 304), 6
DRAW ladder$
PSET (405, 303), 6
DRAW ladder$
PSET (405, 302), 6
DRAW ladder$

PSET (490, 175), 6                              'from box 22
ladder22$ = "nu150 bl20 u150 d20 r20 d20 l20 d20 r20 d20 l20 d20 r20 d20 l20 d20 r20 "
PSET (490, 175), 6
DRAW ladder22$
PSET (491, 175), 6
DRAW ladder22$
PSET (489, 175), 6
DRAW ladder22$
PSET (490, 174), 6
DRAW ladder22$
PSET (490, 176), 6
DRAW ladder22$

PSET (135, 100), 6                                    'from box 30
ladder30$ = "nh70 bg15 h70 f10 e15 f15 g15 f15 e15 f15 g15 f15 "
PSET (135, 100), 6
DRAW ladder30$
PSET (135, 101), 6
DRAW ladder30$
PSET (135, 102), 6
DRAW ladder30$
PSET (135, 103), 6
DRAW ladder30$




PSET (135, 390), 6                              'from box 22
ladder22$ = "nu90 bl20 u90 d20 r20 d20 l20 d20 r20 d20 l20 "
PSET (135, 390), 6
DRAW ladder22$
PSET (135, 391), 6
DRAW ladder22$
PSET (135, 389), 6
DRAW ladder22$
PSET (136, 390), 6
DRAW ladder22$
PSET (134, 390), 6
DRAW ladder22$


END SUB

SUB music

END SUB

SUB snake (x3%, y3%)

CIRCLE (125, 48), 13, 2, .5 * 3.14, 1 * 3.14
PSET (125, 35), 2                                'from box 41
DRAW "ta10 r20"
CIRCLE (145, 39), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (145, 46), 2
DRAW "l17"
CIRCLE (126, 45), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (143, 46), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (112, 47), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8 r2 d6 r2 d6"

CIRCLE (220, 100), 100, 2, .96 * 3.14, 1.5 * 3.14
CIRCLE (265, 280), 100, 2, .1 * 3.14, .65 * 3.14, .9
PSET (360, 252), 2
DRAW "ta10 f100"
PSET (125, 52), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8 r2 d6 r2 d6"

CIRCLE (220, 103), 85, 2, .96 * 3.14, 1.5 * 3.14
CIRCLE (266, 267), 100, 2, .1 * 3.14, .65 * 3.14, .9
PSET (361, 239), 2
DRAW "ta6 f105 ta8 bh100 p10,2"

CIRCLE (130, 39), 4, , , , .5
CIRCLE (130, 39), 2, 0, , , .5

PSET (475, 332), 2
DRAW "nh11  ta10 h10 ta0"

PSET (330, 30), 0                                      'from box 38
CIRCLE (330, 30), 6, 2, .4 * 3.14, 1.1 * 3.14
PSET (332, 24), 2
DRAW "ta10 f5"
CIRCLE (338, 39), 11, 2, 1.8 * 3.14, .5 * 3.14, 1
PSET (324, 33), 2

CIRCLE (333, 40), 10, 2, .8 * 3.14, 1.5 * 3.14, 1
CIRCLE (300, 89), 50, 2, 1.7 * 3.14, .3 * 3.14
CIRCLE (322, 85), 52, 2, 1.6 * 3.14, .3 * 3.14, 1.2
CIRCLE (330, 230), 100, 2, .5 * 3.14, 1 * 3.14
CIRCLE (345, 235), 100, 2, .53 * 3.14, 1 * 3.14
CIRCLE (194, 260), 60, 2, 1.4 * 3.14, .2 * 3.14
CIRCLE (178, 260), 60, 2, 1.5 * 3.14, .16 * 3.14
DRAW "br70 bu5 p10,2 c2 bu90 br60 p10,2"
CIRCLE (340, 35), 3
CIRCLE (340, 35), 1, 0

CIRCLE (330, 40), 3
CIRCLE (330, 40), 1, 0



CIRCLE (125, 188), 13, 2, .5 * 3.14, 1 * 3.14
PSET (125, 175), 2                                'from box 27
DRAW "ta10 r20"
CIRCLE (145, 179), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (145, 186), 2
DRAW "l17"
CIRCLE (126, 185), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (143, 186), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (112, 187), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 "
PSET (125, 192), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1"

PSET (116, 215), 2
DRAW "ta20 g50 ta0 d10 ta20 g60 ta0 d32"
PSET (130, 218), 2
DRAW "ta20 g50 ta0 d10 ta20 g84 ta-10 bu20 p10,2"
CIRCLE (130, 179), 4, , , , .5
CIRCLE (130, 179), 2, 0, , , .5

LOCATE 19, 30
PRINT "11"
LOCATE 15, 30
PRINT "18"

PSET (455, 245), 4
CIRCLE (455, 255), 13, 2, .5 * 3.14, 1 * 3.14
PSET (455, 242), 2                                'from box 21
DRAW "ta10 r20"
CIRCLE (475, 246), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (475, 254), 2
DRAW "l17"
CIRCLE (457, 254), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (474, 255), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (443, 256), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8 r1 d6"

PSET (455, 262), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8"

CIRCLE (440, 350), 65, 2, 1.35 * 3.14, .29 * 3.14, 2
CIRCLE (428, 345), 65, 2, 1.45 * 3.14, .26 * 3.14, 2
DRAW "br40 bu5 p10,2 bu20 p10,2"

CIRCLE (460, 246), 4, , , , .5
CIRCLE (460, 246), 2, 0, , , .5

LOCATE 19, 57
PRINT "8"



PSET (255, 305), 4
CIRCLE (255, 315), 13, 2, .5 * 3.14, 1 * 3.14
PSET (255, 302), 2                                'from box 11
DRAW "ta10 r20"
CIRCLE (275, 306), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (275, 314), 2
DRAW "l17"
CIRCLE (257, 314), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (274, 315), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (243, 316), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8 r1 d6"

PSET (255, 322), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d8"

PSET (250, 358), 2
DRAW "d5 l3 d3 l3 d4 l3 d3 l2 d5 l2 d5 g5 d5 l2 d5 g5 l15"

PSET (260, 358), 2
DRAW "d10 l3 d3 l3 d4 l3 d3 l2 d5 l2 d5 g5 d5 l2 d5 g5 l13 ta20 h9 ta0 br20 p10,2"
                      
CIRCLE (260, 306), 4, , , , .5
CIRCLE (260, 306), 2, 0, , , .5


PSET (255, 95), 1
CIRCLE (255, 105), 13, 2, .5 * 3.14, 1 * 3.14
PSET (255, 92), 2                                'from box 32
DRAW "ta10 r20"
CIRCLE (275, 96), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (275, 104), 2
DRAW "l17"
CIRCLE (257, 104), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (274, 105), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (243, 106), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1"

PSET (255, 112), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 f5 d5 r2 d4 r2 d5 r3 d2 r1 f5 r3 d3 r1 d3 r33 d2 r5 d1 r2 d3 r2 f5 r5 d2 f5 r1 d2 f5 r10 d2 r2 f3 r15 d2 r1 d3 r20 f20 d15 g6 bu20 "

PSET (248, 134), 2
DRAW " ta0 f5 d5 r2 d4 r2 d5 r3 d2 r1 f5 r3 d3 r1 d4 r2 f7 r30 d2 r5 d1 r2 d3 r2 f5 r5 d2 f5 r1 d2 f5 r10 d2 r2 f3 r15 d2 r2 d1 r20 f20 d15 bu20 p10,2 bu100 bl160 p10,2"

CIRCLE (260, 96), 4, , , , .5
CIRCLE (260, 96), 2, 0, , , .5


PSET (45, 95), 1
CIRCLE (45, 105), 13, 2, .5 * 3.14, 1 * 3.14
PSET (45, 92), 2                                'from box 32
DRAW "ta10 r20"
CIRCLE (65, 96), 7, 2, 1.5 * 3.14, .5 * 3.14, 2
PSET (65, 104), 2
DRAW "l17"
CIRCLE (47, 104), 3, 2, .7 * 3.14, 1.5 * 3.14, 2
PSET (64, 105), 2
DRAW "d5 l10 ta-5 l12 u2 l1 u2"
PSET (33, 106), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d5 br1 d50 ta-30 f50 ta0"

PSET (45, 112), 2
DRAW "ta0 d5 br1 d5 br1 d3 br1 d3 br1 d7 br1 d50 ta-30 f60 ta0 h15 br5 p10,2"

CIRCLE (50, 96), 4, , , , .5
CIRCLE (50, 96), 2, 0, , , .5

END SUB

